Skip to main content
GET
/
database
/
{databaseId}
/
backup
List database backups
curl --request GET \
  --url https://api.qovery.com/database/{databaseId}/backup \
  --header 'Authorization: Bearer <token>'
{
  "page": 1,
  "page_size": 20,
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "message": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "status": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "state": "BUILDING",
        "service_deployment_status": "NEVER_DEPLOYED",
        "is_part_last_deployment": true,
        "status_details": {
          "action": "DEPLOY",
          "status": "QUEUED",
          "sub_action": "NONE"
        },
        "deployment_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "deployment_requests_count": 123,
        "last_deployment_date": "2023-11-07T05:31:56Z",
        "steps": {
          "total_duration_sec": 123,
          "total_computing_duration_sec": 123,
          "details": [
            {
              "step_name": "REGISTRY_CREATE_REPOSITORY",
              "status": "SUCCESS",
              "duration_sec": 123
            }
          ]
        },
        "execution_id": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-ai-use-cases-highlight.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

databaseId
string<uuid>
required

Database ID

Query Parameters

startId
string<uuid>

Starting point after which to return results

Response

List backups

page
number
required
Example:

1

page_size
number
required
Example:

20

results
object[]